## net.sf.saxon.value
Class DecimalValue.DecimalComparable

    java.lang.Object
      net.sf.saxon.value.DecimalValue.DecimalComparable

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  DecimalValue

    protected static class DecimalValue.DecimalComparable

extends java.lang.Object
implements java.lang.Comparable

Field Summary
`protected DecimalValue` `value`

Constructor Summary
`DecimalValue.DecimalComparable(DecimalValue value)`

Method Summary
`java.math.BigDecimal` `asBigDecimal()`
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected DecimalValue value

Constructor Detail

### DecimalValue.DecimalComparable

    public DecimalValue.DecimalComparable(DecimalValue value)

Method Detail

### asBigDecimal

    public java.math.BigDecimal asBigDecimal()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright (c) Saxonica Limited. All rights reserved.